Highlighted
jpanjaitan1
1 Nickel

MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
Hello All,

Our CLARiiON environment is connected to 29 hosts where 18 are Windows-based hosts (majority are Windows 2003 and all boot from SAN) and 11 ESX 2.5 hosts.
Majority of the Windows-based hosts are connected via QLogic PCI-X HBA (Firmware 1.47) and PowerPath version 4.1.1.
The SAN switches are pair of MDS8216 with code version 1.0.

For CLARiiON FLARE Upgrade to the latest update, we're now must upgrade all the PowerPath and QLogic software first.
Our first priority is the stability and uptime of the servers.

Which upgrade sequence must be done? Hosts-SAN-Switch?
Can anyone please share their experience or tips-tricks when doing this upgrade, so that we can avoid any problems?
Any critical points that we must consider?
Can a customer with only basic CLARiiON training do this job?
Please share your experience and thoughts.

Many Thanks in Advance.

/JP
Labels (1)
0 Kudos
1 Solution

Accepted Solutions
healyj
2 Iron

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution

Hi there,

In our effort s to clean up the forum, we came across your question / statement.

If the question / statement is still valid, not expired and you need an update please reach out again and we try to get it answered.

As for now we set it to “answered.”

Regards,

Jim

0 Kudos
7 Replies

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
Hello,

I have a few questions in regards to your post. Is EMC involved in the upgrade? Were the switches purchased through EMC? Did you check the EMC Support Matrix to ensure the configuration is supported?

Thank you.
0 Kudos
jpanjaitan1
1 Nickel

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
Hello CiscoKid,

Thanks for replying my post.
The 2 x Cisco MDS9216 were purchased through Dell West Australia, and if I read correctly they're covered with 3 Years 4-Hour 24x7 Hardware Support.
We haven't decide whether we're going to involve EMC in this particular upgrade.

No, I haven't check the EMC Support Matrix to ensure the configuration is supported, thanks for reminding.

Can you shed some lights on my initial questions:
Which upgrade sequence must be done? Hosts-SAN-Switch?
Any critical points that we must consider?
Please share your experience and thoughts, so that we can avoid any problems.

Many thanks.

/JP
0 Kudos

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
Hello,

Thank you for providing the information on where you purchased the switches. I was concerned as EMC never qualified 1.0 SAN-OS on the switches. I also wanted to know as there are different upgrade procedures depending on where the switches were purchased from. EMC does all the upgrades for the MDS switches we sell and support. If you purchased them through Dell, you may need to contact them directly to setup the upgrade of the code. In some cases EMC directly supports the switches so you may need to contact your EMC Service Representative to set this up.

What order to upgrade doesn't matter as much as ensuring that each step that you upgrade from is supported. You need to ensure that the host OS, hba drivers, switch firmware, and storage all support the versions that they are running. If you upgrade one piece to a level that isn't supported by the others you can run into a problem. That's why I stressed the EMC support matrix. As long as all the pieces you currently have and each stage you go through are supported you'll be fine.

Personally, I would go from the HBA drivers, to the Host OS, to the switches, and then to the storage. I would upgrade them one at a time and ensure that I tested each upgrade and ensured it was running fine before doing the next upgrade. Ultimately you'd want to test them in a test lab before doing any upgrades but for many customers this is not possible. I would also make sure I save the previous configuration, firmware, etc. so I could roll back if a problem is encountered. I'd also schedule the upgrades to be done during maintenance windows.

If you're going to be doing this much work, I'd recommend contacting EMC Professional Services to help plan and execute it. One small misstep and you could drop the entire SAN. I've seen customers down for days and loose large amount of money due to trying upgrades and migrations on their own. If you're not use to doing this type of work, it is easy to make a mistake.

Thank you.
jpanjaitan1
1 Nickel

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
Hello CiscoKid,
Thanks very much for the comprehensive information.
I pull the following entry from show-techsupport:

BIOS version 1.1.0
loader version 1.2(2)
Kickstart version 2.1(1b) does not match latest version 3.2(3a).
System version 2.1(1b) does not match latest version 3.2(3a).

Does above mean that the SAN-OS is version 1.1.0, which is not qualified by EMC, according to your previous post?

Please advice.
Thank You.

/JP
0 Kudos
AranH1
4 Germanium

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
The kickstart and system files are the SAN-OS images. So you are running version 2.1(1b) of the SAN-OS.

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution
That is correct. He is running 2.1(1b).

All code below 3.1(2) is End of Life at EMC so you would need to upgrade the code to be EMC supported in your configuration.

Thank you.
0 Kudos
healyj
2 Iron

Re: MDS9216 Code Upgrade from Version 1.0 To Current Version

Jump to solution

Hi there,

In our effort s to clean up the forum, we came across your question / statement.

If the question / statement is still valid, not expired and you need an update please reach out again and we try to get it answered.

As for now we set it to “answered.”

Regards,

Jim

0 Kudos